use serde::{Deserialize, Serialize};

mod html;
pub mod servek;

#[derive(Debug, Clone, Serialize)]
struct Notification {
    pub message: String,
    pub tag_name: String,
}

#[derive(Debug, Clone, Deserialize)]
pub struct LoginRequest {
    pub username: String,
    pub password: String,
}

#[derive(Debug, Clone, Deserialize)]
pub struct CreateProfileRequest {
    pub username: String,
    pub password: String,
    pub email: String,
}

#[derive(Debug, Clone, Serialize)]
pub struct Login {
    pub token: String,
}
